Migration nach PHP 5.3 – aber richtig
Kommentare

Die Hoffnungen, dass PHP 5.3 voll abwärtskompatibel zu Version 5.2 werden würde, haben sich leider zerschlagen. Code, der in PHP 5.2 fehlerfrei
lief, kann in 5.3 zu Fehlern führen oder Warnings ausgeben.

Die Hoffnungen, dass PHP 5.3 voll abwärtskompatibel zu Version 5.2 werden würde, haben sich leider zerschlagen. Code, der in PHP 5.2 fehlerfrei lief, kann in 5.3 zu Fehlern führen oder Warnings ausgeben. Stas Malyshev hat nun ein Skript veröffentlicht, mit dem sich die Migration auf das aktuelle PHP-Flaggschiff leichter bewerkstelligen lässt.

In seinem Beitrag in der Zend Developer Zone erklärt Stas, was das Skript kann – und worum man sich noch selbst kümmern muss. So weist migrate.php auf falsche Definitionen der Magic Methods hin, achtet auf neu definierte Keywords (goto und Namespaces) und gibt Hinweise zu veralteten Funktionen. Das Skript selbst kann bei github heruntergeladen werden.

Unsere Redaktion empfiehlt:

Relevante Beiträge

Meinungen zu diesem Beitrag

X
- Gib Deinen Standort ein -
- or -